This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 193324 - Could not find slib/require.scm
Could not find slib/require.scm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: guile (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-27 08:05 EDT by Brian Gerst
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 06:51:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Gerst 2006-05-27 08:05:42 EDT
Description of problem:
ERROR: Could not find slib/require.scm in  ("/usr/share/guile/site"
"/usr/share/gnucash/guile-modules" "/usr/share/gnucash/scm" ""
"/usr/share/guile/site" "/usr/share/guile/1.8" "/usr/share/guile")

Version-Release number of selected component (if applicable):
guile-1.8.0-5

How reproducible:
Consistent

Steps to Reproduce:
1. Start gnucash
  
Actual results:
Gnucash crashes with above error.

Expected results:
No error.

Additional info:
Rolling back to guile-1.8.0-4 fixes the problem.
Comment 1 Miroslav Lichvar 2006-05-29 03:58:46 EDT
Yes, upgrade from guile-1.8.0-{1,2,3,4} doesn't work. The new package no longer
owns some files as they are now generated in a trigger. In the upgrade process,
the trigger is run before files of the old package are removed and there is
probably no clean way how to avoid that.

How to fix it:
uninstall and install guile again, or

force upgrade of guile (or slib) to the same release
rpm -U --force guile-1.8.0-5.*.rpm

Note You need to log in before you can comment on or make changes to this bug.